Index: src/sas/sascalc/calculator/sas_gen.py
===================================================================
--- src/sas/sascalc/calculator/sas_gen.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sascalc/calculator/sas_gen.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -3,4 +3,6 @@
 SAS generic computation and sld file readers
 """
+from __future__ import print_function
+
 import sas.sascalc.calculator.core.sld2i as mod
 from sas.sascalc.calculator.BaseComponent import BaseComponent
Index: src/sas/sascalc/data_util/calcthread.py
===================================================================
--- src/sas/sascalc/data_util/calcthread.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sascalc/data_util/calcthread.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -4,4 +4,5 @@
 #  \brief Abstract class for defining calculation threads.
 #
+from __future__ import print_function
 
 import thread
Index: src/sas/sascalc/data_util/formatnum.py
===================================================================
--- src/sas/sascalc/data_util/formatnum.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
+++ src/sas/sascalc/data_util/formatnum.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -37,5 +37,5 @@
 formatter.compact flag.
 """
-from __future__ import division
+from __future__ import division, print_function
 
 import math
Index: src/sas/sascalc/data_util/registry.py
===================================================================
--- src/sas/sascalc/data_util/registry.py	(revision b699768550de9d4b35b087234ec1d2a461922bab)
+++ src/sas/sascalc/data_util/registry.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -6,4 +6,5 @@
 and registers the built-in file extensions.
 """
+from __future__ import print_function
 
 import os.path
Index: src/sas/sascalc/dataloader/data_info.py
===================================================================
--- src/sas/sascalc/dataloader/data_info.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ src/sas/sascalc/dataloader/data_info.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -16,4 +16,5 @@
 ######################################################################
 
+from __future__ import print_function
 
 #TODO: Keep track of data manipulation in the 'process' data structure.
Index: src/sas/sascalc/dataloader/readers/IgorReader.py
===================================================================
--- src/sas/sascalc/dataloader/readers/IgorReader.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sascalc/dataloader/readers/IgorReader.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -12,4 +12,6 @@
 #copyright 2008, University of Tennessee
 #############################################################################
+from __future__ import print_function
+
 import os
 
Index: src/sas/sascalc/dataloader/readers/associations.py
===================================================================
--- src/sas/sascalc/dataloader/readers/associations.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sascalc/dataloader/readers/associations.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -14,4 +14,6 @@
 #copyright 2009, University of Tennessee
 #############################################################################
+from __future__ import print_function
+
 import os
 import sys
Index: src/sas/sascalc/dataloader/readers/red2d_reader.py
===================================================================
--- src/sas/sascalc/dataloader/readers/red2d_reader.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sascalc/dataloader/readers/red2d_reader.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -9,4 +9,6 @@
 #copyright 2008, University of Tennessee
 ######################################################################
+from __future__ import print_function
+
 import os
 import numpy as np
Index: src/sas/sascalc/fit/AbstractFitEngine.py
===================================================================
--- src/sas/sascalc/fit/AbstractFitEngine.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sascalc/fit/AbstractFitEngine.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -1,2 +1,3 @@
+from __future__ import print_function
 
 import  copy
Index: src/sas/sascalc/fit/Loader.py
===================================================================
--- src/sas/sascalc/fit/Loader.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sascalc/fit/Loader.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -1,2 +1,4 @@
+from __future__ import print_function
+
 # class Loader  to load any king of file
 #import wx
Index: src/sas/sascalc/fit/expression.py
===================================================================
--- src/sas/sascalc/fit/expression.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
+++ src/sas/sascalc/fit/expression.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -43,4 +43,6 @@
 Ideally, this interface will change
 """
+from __future__ import print_function
+
 import math
 import re
Index: src/sas/sascalc/pr/fit/AbstractFitEngine.py
===================================================================
--- src/sas/sascalc/pr/fit/AbstractFitEngine.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sascalc/pr/fit/AbstractFitEngine.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -1,2 +1,3 @@
+from __future__ import print_function
 
 import  copy
Index: src/sas/sascalc/pr/fit/Loader.py
===================================================================
--- src/sas/sascalc/pr/fit/Loader.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sascalc/pr/fit/Loader.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -1,2 +1,4 @@
+from __future__ import print_function
+
 # class Loader  to load any king of file
 #import wx
Index: src/sas/sascalc/pr/fit/expression.py
===================================================================
--- src/sas/sascalc/pr/fit/expression.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
+++ src/sas/sascalc/pr/fit/expression.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -1,2 +1,4 @@
+from __future__ import print_function
+
 # This program is public domain
 """
Index: src/sas/sascalc/pr/num_term.py
===================================================================
--- src/sas/sascalc/pr/num_term.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sascalc/pr/num_term.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -1,2 +1,4 @@
+from __future__ import print_function
+
 import math
 import numpy as np
Index: src/sas/sascalc/simulation/analmodelpy/tests/testanal_model.py
===================================================================
--- src/sas/sascalc/simulation/analmodelpy/tests/testanal_model.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sascalc/simulation/analmodelpy/tests/testanal_model.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -11,4 +11,6 @@
 #  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 # 
+from __future__ import print_function
+
 
 if __name__ == "__main__":
Index: src/sas/sascalc/simulation/geoshapespy/tests/testshapes.py
===================================================================
--- src/sas/sascalc/simulation/geoshapespy/tests/testshapes.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sascalc/simulation/geoshapespy/tests/testshapes.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -11,4 +11,6 @@
 #  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 # 
+from __future__ import print_function
+
 
 if __name__ == "__main__":
Index: src/sas/sascalc/simulation/iqPy/tests/signon.py
===================================================================
--- src/sas/sascalc/simulation/iqPy/tests/signon.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sascalc/simulation/iqPy/tests/signon.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -11,4 +11,6 @@
 #  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 # 
+from __future__ import print_function
+
 
 if __name__ == "__main__":
Index: src/sas/sascalc/simulation/pointsmodelpy/tests/signon.py
===================================================================
--- src/sas/sascalc/simulation/pointsmodelpy/tests/signon.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sascalc/simulation/pointsmodelpy/tests/signon.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -11,4 +11,6 @@
 #  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 # 
+from __future__ import print_function
+
 
 if __name__ == "__main__":
Index: src/sas/sascalc/simulation/pointsmodelpy/tests/test2dui.py
===================================================================
--- src/sas/sascalc/simulation/pointsmodelpy/tests/test2dui.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sascalc/simulation/pointsmodelpy/tests/test2dui.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -7,4 +7,5 @@
 #  Imports:
 #--------------------------------------------------------------------------------
+from __future__ import print_function
 
 import wx
Index: src/sas/sascalc/simulation/pointsmodelpy/tests/testcomplexmodel.py
===================================================================
--- src/sas/sascalc/simulation/pointsmodelpy/tests/testcomplexmodel.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sascalc/simulation/pointsmodelpy/tests/testcomplexmodel.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -1,5 +1,8 @@
+from __future__ import print_function
+
 from sasModeling.pointsmodelpy import pointsmodelpy
 from sasModeling.iqPy import iqPy
 from sasModeling.geoshapespy import geoshapespy
+
 
 #First testing: a normal case, a lores model holds a sphere
Index: src/sas/sascalc/simulation/pointsmodelpy/tests/testlores.py
===================================================================
--- src/sas/sascalc/simulation/pointsmodelpy/tests/testlores.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sascalc/simulation/pointsmodelpy/tests/testlores.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -1,2 +1,5 @@
+from __future__ import print_function
+
+
 if __name__ == "__main__":
 
Index: src/sas/sascalc/simulation/pointsmodelpy/tests/testlores2d.py
===================================================================
--- src/sas/sascalc/simulation/pointsmodelpy/tests/testlores2d.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sascalc/simulation/pointsmodelpy/tests/testlores2d.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -1,2 +1,5 @@
+from __future__ import print_function
+
+
 def test_lores2d(phi):
   from sasModeling.pointsmodelpy import pointsmodelpy 
Index: src/sas/sasgui/guiframe/config.py
===================================================================
--- src/sas/sasgui/guiframe/config.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sasgui/guiframe/config.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -2,4 +2,6 @@
     Application settings
 """
+from __future__ import print_function
+
 import time
 import os
Index: src/sas/sasgui/guiframe/data_panel.py
===================================================================
--- src/sas/sasgui/guiframe/data_panel.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sasgui/guiframe/data_panel.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -11,4 +11,6 @@
 This module provides Graphic interface for the data_manager module.
 """
+from __future__ import print_function
+
 import wx
 from wx.build import build_options
Index: src/sas/sasgui/guiframe/data_processor.py
===================================================================
--- src/sas/sasgui/guiframe/data_processor.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sasgui/guiframe/data_processor.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -18,4 +18,6 @@
 
 """
+from __future__ import print_function
+
 import os
 import sys
Index: src/sas/sasgui/guiframe/dummyapp.py
===================================================================
--- src/sas/sasgui/guiframe/dummyapp.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sasgui/guiframe/dummyapp.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -3,4 +3,6 @@
 Allows the user to set an external data manager
 """
+from __future__ import print_function
+
 import sas.sasgui.guiframe.gui_manager as gui_manager
 
Index: src/sas/sasgui/guiframe/gui_style.py
===================================================================
--- src/sas/sasgui/guiframe/gui_style.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sasgui/guiframe/gui_style.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -3,4 +3,6 @@
 Provide the style for guiframe
 """
+from __future__ import print_function
+
 import wx
 import os
Index: src/sas/sasgui/guiframe/proxy.py
===================================================================
--- src/sas/sasgui/guiframe/proxy.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sasgui/guiframe/proxy.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -1,4 +1,6 @@
 #!/usr/bin/env python
 # -*- coding: utf-8 -*-
+from __future__ import print_function
+
 import urllib2
 import sys
Index: src/sas/sasgui/perspectives/calculator/detector_editor.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/detector_editor.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sasgui/perspectives/calculator/detector_editor.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -1,2 +1,3 @@
+from __future__ import print_function
 
 import wx
Index: src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -3,4 +3,5 @@
 This module relies on guiframe manager.
 """
+from __future__ import print_function
 
 import wx
Index: src/sas/sasgui/perspectives/calculator/image_viewer.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/image_viewer.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sasgui/perspectives/calculator/image_viewer.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -1,2 +1,4 @@
+from __future__ import print_function
+
 import os
 import sys
Index: src/sas/sasgui/perspectives/calculator/model_editor.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/model_editor.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sasgui/perspectives/calculator/model_editor.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -23,4 +23,6 @@
 #copyright 2009, University of Tennessee
 ################################################################################
+from __future__ import print_function
+
 import wx
 import sys
Index: src/sas/sasgui/perspectives/fitting/basepage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/basepage.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sasgui/perspectives/fitting/basepage.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -2,4 +2,6 @@
 Base Page for fitting
 """
+from __future__ import print_function
+
 import sys
 import os
Index: src/sas/sasgui/perspectives/fitting/fitting.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fitting.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sasgui/perspectives/fitting/fitting.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -11,4 +11,6 @@
 #copyright 2009, University of Tennessee
 ################################################################################
+from __future__ import print_function
+
 import re
 import sys
Index: src/sas/sasgui/perspectives/fitting/models.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/models.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sasgui/perspectives/fitting/models.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -2,4 +2,6 @@
     Utilities to manage models
 """
+from __future__ import print_function
+
 import traceback
 import os
Index: src/sas/sasgui/perspectives/pr/pr.py
===================================================================
--- src/sas/sasgui/perspectives/pr/pr.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sasgui/perspectives/pr/pr.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -15,4 +15,5 @@
 # Make sure the option of saving each curve is available
 # Use the I(q) curve as input and compare the output to P(r)
+from __future__ import print_function
 
 import sys
Index: src/sas/sasgui/perspectives/simulation/ShapeParameters.py
===================================================================
--- src/sas/sasgui/perspectives/simulation/ShapeParameters.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sasgui/perspectives/simulation/ShapeParameters.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -8,4 +8,6 @@
 copyright 2009, University of Tennessee
 """
+from __future__ import print_function
+
 import wx
 import sys
Index: src/sas/sasgui/plottools/PlotPanel.py
===================================================================
--- src/sas/sasgui/plottools/PlotPanel.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sasgui/plottools/PlotPanel.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -2,4 +2,6 @@
     Plot panel.
 """
+from __future__ import print_function
+
 import logging
 import traceback
Index: src/sas/sasgui/plottools/binder.py
===================================================================
--- src/sas/sasgui/plottools/binder.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sasgui/plottools/binder.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -2,4 +2,6 @@
 Extension to MPL to support the binding of artists to key/mouse events.
 """
+from __future__ import print_function
+
 import sys
 import logging
Index: src/sas/sasgui/plottools/convert_units.py
===================================================================
--- src/sas/sasgui/plottools/convert_units.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sasgui/plottools/convert_units.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -3,4 +3,6 @@
     This is a cleaned up version of unitConverter.py
 """
+from __future__ import print_function
+
 import re
 import string
Index: src/sas/sasgui/plottools/fittings.py
===================================================================
--- src/sas/sasgui/plottools/fittings.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sasgui/plottools/fittings.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -14,4 +14,6 @@
 
 """
+from __future__ import print_function
+
 from scipy import optimize
 
Index: src/sas/sasgui/plottools/plottable_interactor.py
===================================================================
--- src/sas/sasgui/plottools/plottable_interactor.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sasgui/plottools/plottable_interactor.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
@@ -2,5 +2,8 @@
     This module allows more interaction with the plot
 """
+from __future__ import print_function
+
 from BaseInteractor import _BaseInteractor
+
 
 class PointInteractor(_BaseInteractor):
